Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		k3b-monkey-audio-plugin
Version:	3.1
Release:	2
License:	GNU/GPL 
URL:		http://www.k3b.org
Group:		Archiving/CD Burning
Source0:	k3bmonkeyaudioplugin-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	k3b monkey audio plugin.
Requires: 	kdelibs3 >= 3.5.9
Requires: 	kdebase3 >= 3.5.9
BuildRequires:	k3b-devel >= 0.12.11
BuildRequires:	libdvdread-devel
BuildRequires:	libacl-devel
BuildRequires:	dbus-qt3-devel
BuildRequires:	libsamplerate-devel
Buildconflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
k3b monkey audio plugin.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n k3bmonkeyaudioplugin-%{version}

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
--with-qt-dir=/usr/lib/qt-3.3 \
--with-qt-includes=/usr/lib/qt-3.3/include \
--with-qt-libs=/usr/lib/qt-3.3/lib \
--with-extra-includes=/usr/include/k3b
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 3.1-2
- rebuild against kdelibs3 , kdebase3 renamed packages
* Sun Jan 21 2007 Christian Wasem <wasem@ccux-linux.de> 3.1-1
- Version Update
* Sat Feb 11 2006 Christian Wasem <wasem@ccux-linux.de> 3.0-1
- Initial Release